Package tigase.xmpp.impl

## Class MessageCarbons.MessageCarbonsStateChangedEvent

- java.lang.Object
- - tigase.server.xmppsession.UserSessionEvent
  - - tigase.xmpp.impl.MessageCarbons.MessageCarbonsStateChangedEvent

- All Implemented Interfaces:
    `java.io.Serializable`, `EventBusEvent`
  Enclosing class:
    MessageCarbons

      public static class MessageCarbons.MessageCarbonsStateChangedEvent
      extends UserSessionEvent

  Event class responsible for notification other sessions of same user that message carbons state was changed.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageCarbonsStateChangedEvent()` | Empty constructor to be able to serialize/deserialize event
    `MessageCarbonsStateChangedEvent​(JID sender, JID userJid, XMPPSession session)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(JID jid, java.lang.Boolean value)` |
    `java.util.Set<JID>` | `getDisabledJids()` |
    `java.util.Set<JID>` | `getEnabledJids()` |

    - ### Methods inherited from class tigase.server.xmppsession.UserSessionEvent

      `getSender, getSession, getUserJid, setSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageCarbonsStateChangedEvent

          public MessageCarbonsStateChangedEvent()

      Empty constructor to be able to serialize/deserialize event

    - #### MessageCarbonsStateChangedEvent

          public MessageCarbonsStateChangedEvent​(JID sender,
                                                 JID userJid,
                                                 XMPPSession session)

  - ### Method Detail

    - #### add

          public void add​(JID jid,
                          java.lang.Boolean value)

    - #### getEnabledJids

          public java.util.Set<JID> getEnabledJids()

    - #### getDisabledJids

          public java.util.Set<JID> getDisabledJids()